new.display <- function(w, h, rgb=TRUE, ...) {
    .lastDisplay <<- .Call("RVT_create_display", w, h, rgb, PACKAGE="videoTools")
}

update.display <- function(r, g, b, disp=.lastDisplay) {
    if (missing(g))
	.Call("RVT_update_display_mono", disp, r, PACKAGE="videoTools")
    else if (missing(b))
	.Call("RVT_update_display_yuy2", disp, r, g, NULL, PACKAGE="videoTools")
    else
	.Call("RVT_update_display_rgb", disp, r, g, b, PACKAGE="videoTools")
}

close.display <- function(disp=.lastDisplay) {
    if (exists(".lastDisplay") && disp == .lastDisplay)
        rm(".lastDisplay",inherits=TRUE)
    .Call("RVT_close_display", disp)
}
